Subject: Re: [PATCH 1/4] cpumask: cpu_coregroup_mask(): x86

From: Rusty Russell <[email-masked]>
Date: Thu, 18 Dec 2008 16:44:00 +1030

On Thursday 18 December 2008 09:24:19 Mike Travis wrote:
> Rusty Russell wrote:
> > Like cpu_coregroup_map, but returns a (const) pointer.
> > 
> > (This will go to Ingo separately as part of the x86 series, just
> > airing it here for thoroughness).
> > 
> > Signed-off-by: Rusty Russell <[email-masked]>
> > Signed-off-by: Mike Travis <[email-masked]>
> > Cc: Ingo Molnar <[email-masked]>
> 
> I've pulled this patch into the queue for my cpus4096-for-ingo tree.
> 
> 	[PATCH 1/4] cpumask: cpu_coregroup_mask(): x86
> 
> I can also line up a queue for sched related changes:
> 
> 	[PATCH 4/4] cpumask: Replace cpu_coregroup_map with cpu_coregroup_map()
> 
> Is there any status on the corresponding changes for sparc, s390?  (I assume
> that they'll need to be merged into linux-next?)
> 
> 	[PATCH 2/4] cpumask: cpu_coregroup_mask(): sparc
> 	[PATCH 3/4] cpumask: cpu_coregroup_mask(): s390

You can't take 4/4 until 2/4 and 3/4 are merged, and since it's not
x86-specific as well, we'll leave it in my tree.

Thanks,
Rusty.